<template>
  <div v-if="reviews" class="reviews">
    <ul class="review_list">
      <li v-for="review in reviews" v-bind:key="review" class="review">{{ review }}</li>
    </ul>
  </div>
  <div v-else class="reviews--empty">
    <h3>No reviews here</h3>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';

@Component
export default class ServiceOfferingReview extends Vue {
  // As reviews are not part of the OSB spec we need to look at how we can
  // extend the service to types in the service.metadata
  // Proposal: Create custom extension OSBExtended that contains verbose
  // specification information
  // Proposal: As a service could have many reviews, may need a separate "review-service"
  // This breaks the "generic store" model
  // For now, return a list of strings and come back to it
  @Prop() public reviews!: string[];
}
</script>

<style lang="scss" scoped>
</style>
